Uploaded image for project: 'Plugins'
  1. Plugins
  2. CONTRIB-5191

Grid format expects NonSSL Moodle site.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.6.3
    • Fix Version/s: 2.6.4, 2.7.1
    • Component/s: None
    • Labels:
      None
    • Plugin Version:
      2.6.1.5
    • Affected Branches:
      MOODLE_26_STABLE
    • Fixed Branches:
      MOODLE_26_STABLE, MOODLE_27_STABLE

      Description

      We run our Moodle installation over HTTPS at all times. Grid course format appears to expect HTTP, and attempts to load YUI scripts from the Yahoo CDN over insecure HTTP, thus causing a message about insecure content in IE and Chrome.

      The page at 'X' was loaded over HTTPS, but ran insecure content from 'http://yui.yahooapis.com/combo?gallery-2013.10.02-20-26/build/gallery-event-nav-keys/gallery-event-nav-keys-min.js': this content should also be loaded over HTTPS.

      This appears to be occurring in the YUI libraries provided by the module.

      To reproduce:
      Setup a Moodle instance on SSL
      Set a course to grid-format
      See that there is insecure content warnings.

      What was expected:
      Set a course to grid-format
      No insecure content warnings

      What actually happened:
      Set a course to grid format
      Insecure content warnings generated.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              gb2048 Gareth J Barnard
              Reporter:
              james.mclean James McLean
              Participants:
              Component watchers:
              Votes:
              3 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Fix Release Date:
                14/Jul/14